Bug 919616 - [abrt] hplip-3.13.2-1.fc18: hp-doctor:137:install_plugin:NameError: global name 'sts' is not defined
Summary: [abrt] hplip-3.13.2-1.fc18: hp-doctor:137:install_plugin:NameError: global na...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: hplip
Version: 18
Hardware: i686
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Tim Waugh
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:20833b4f892fa9179052b33606d...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-03-08 22:32 UTC by qwerty_144
Modified: 2013-05-01 04:22 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-05-01 04:22:47 UTC


Attachments (Terms of Use)
File: backtrace (477 bytes, text/plain)
2013-03-08 22:32 UTC, qwerty_144
no flags Details
File: core_backtrace (159 bytes, text/plain)
2013-03-08 22:32 UTC, qwerty_144
no flags Details
File: environ (1.19 KB, text/plain)
2013-03-08 22:32 UTC, qwerty_144
no flags Details
File: smolt_data (2.92 KB, text/plain)
2013-03-08 22:32 UTC, qwerty_144
no flags Details
easy fix (511 bytes, patch)
2013-03-11 11:27 UTC, Jiri Popelka
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Launchpad 1153555 None None None Never

Description qwerty_144 2013-03-08 22:32:17 UTC
Description of problem:
crash while diagnosting HPLIP driver

Version-Release number of selected component:
hplip-3.13.2-1.fc18

Additional info:
cmdline:        /usr/bin/python /usr/bin/hp-doctor -i -w
executable:     /usr/bin/hp-doctor
kernel:         3.8.1-201.fc18.i686
uid:            1000

Truncated backtrace:
hp-doctor:137:install_plugin:NameError: global name 'sts' is not defined

Traceback (most recent call last):
  File "/usr/bin/hp-doctor", line 323, in <module>
    install_plugin(core)
  File "/usr/bin/hp-doctor", line 137, in install_plugin
    if sts == 0:
NameError: global name 'sts' is not defined

Local variables in innermost frame:
core: <check.DependenciesCheck object at 0xb7297fac>
user_input: 'y'
cmd: 'su -c "/usr/bin/hp-plugin -i  -s "'
ok: True
plugin_sts: '-1'

Comment 1 qwerty_144 2013-03-08 22:32:20 UTC
Created attachment 707233 [details]
File: backtrace

Comment 2 qwerty_144 2013-03-08 22:32:22 UTC
Created attachment 707234 [details]
File: core_backtrace

Comment 3 qwerty_144 2013-03-08 22:32:25 UTC
Created attachment 707235 [details]
File: environ

Comment 4 qwerty_144 2013-03-08 22:32:27 UTC
Created attachment 707236 [details]
File: smolt_data

Comment 5 Jiri Popelka 2013-03-11 11:27:10 UTC
Created attachment 708313 [details]
easy fix

Comment 6 Fedora Update System 2013-04-09 11:23:45 UTC
hplip-3.13.4-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/hplip-3.13.4-1.fc19

Comment 7 Fedora Update System 2013-04-09 17:06:14 UTC
Package hplip-3.13.4-1.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing hplip-3.13.4-1.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-5251/hplip-3.13.4-1.fc19
then log in and leave karma (feedback).

Comment 8 Fedora Update System 2013-05-01 04:22:49 UTC
hplip-3.13.4-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.